body {
    /*The "background-color" property changes the background color of an element.*/
    background-color: skyblue;
}

html {
    /* The "scroll-behavior" property changes the scrolling behavior when clicking on anchor tags */
    /* The value "smooth" changes the scrolling behavior of a page jumping from one section to the next to smoothly scroll to a section */
    scroll-behavior: smooth;
}

/*navigation bar*/
nav {
    background-color: white;
}

div {
    /* The "float" property changes the horizontal alignment of an element to float either to the left or right of it's container */
    float: right;
}

h1 {
    /* The "font-size" property changes the size of text. */
    /* The value "rem" is based on the "font-size" property of the "root element". In this case, the "font-size" of the root element is at "20px" defined by the Universal Selector. The rem value acts as a multiplier of this value. "2rem" is equivalent to "20px". Using this value for text allows us to implement consistency within text styles instead of providing varying pixel values to text. 
    The default value of the root element is at 16px. */
    color: yellow !important;
    text-align: center;
    font-size: 2rem;
}

/*sections*/
section {
    /* The value "vh" refers to viewport height. This value is based on a percentage of the browser's screen size and is good to use for elements that we want to have a responsive change in size referencing the browser's screen. */
    /* Which means that 100vh is about 100% of the browser screen's height  */
    height: 100vh;
    /* The "text-align" property changes the horizontal alignment of text or all nested text elements */
    text-align: center;
}

h2 {
    font-size: 1.5rem;
}

ol {
    /* The "list-style-type" property changes the bullet points/numbers used in a list. */
    /* The value "none" will remove the bullet points/numbers from a list. */
    list-style-type: none;
    /* "padding" property allows us to define the spaces within an element. In this case, we used "padding:0;" to define all default padding values in the element to zero. */
    padding: 0;
}